> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return the history of that datasource



## OpenAPI

````yaml /api-reference/4.2/service-history-id.json get /connectors/history/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service history-id
servers:
  - url: /api/connectors/
security: []
tags:
  - name: connectors
paths:
  /connectors/history/{id}:
    get:
      tags:
        - 4.2 History ID API
      summary: Return the history of that datasource
      operationId: getHistory
      parameters:
        - name: cumulative
          in: query
          description: >-
            Whether to return return a cumulative summary of the datasource runs
            or not
          required: false
          schema:
            type: boolean
        - name: id
          in: path
          description: The datasource name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: object

````